org.apache.felix.utils.version

## Class VersionTable

- java.lang.Object
- - org.apache.felix.utils.version.VersionTable

    public final class VersionTable
    extends Object

Cache of Versions backed by a WeakHashMap to conserve memory. VersionTable.getVersion should be used in preference to new Version() or Version.parseVersion.

Author:
  dave

### Method Summary

All Methods Static Methods Concrete Methods
`static org.osgi.framework.Version` `getVersion(int major, int minor, int micro)`
`static org.osgi.framework.Version` `getVersion(int major, int minor, int micro, String qualifier)`
`static org.osgi.framework.Version` `getVersion(String version)`
`static org.osgi.framework.Version` `getVersion(String version, boolean clean)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getVersion

    public static org.osgi.framework.Version getVersion(String version)

#### getVersion

    public static org.osgi.framework.Version getVersion(String version,
                                                        boolean clean)

#### getVersion

    public static org.osgi.framework.Version getVersion(int major,
                                                        int minor,
                                                        int micro)

#### getVersion

    public static org.osgi.framework.Version getVersion(int major,
                                                        int minor,
                                                        int micro,
                                                        String qualifier)